com.holonplatform.vaadin.flow.spring.boot.internal

## Class LocalizationContextPostProcessor

- java.lang.Object
- - com.holonplatform.vaadin.flow.spring.boot.internal.AbstractInitializer
  - - com.holonplatform.vaadin.flow.spring.boot.internal.LocalizationContextPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.config.BeanPostProcessor

      public class LocalizationContextPostProcessor
      extends AbstractInitializer
      implements org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.BeanFactoryAware

  A `BeanPostProcessor` to set the `LocalizationContext` Locale in current UI when the localization changes.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalizationContextPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `postProcessBeforeInitialization(Object bean, String beanName)`
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.beans.factory.config.BeanPostProcessor

      `postProcessAfterInitialization`

- - ### Constructor Detail

    - #### LocalizationContextPostProcessor

          public LocalizationContextPostProcessor()

  - ### Method Detail

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessBeforeInitialization

          public Object postProcessBeforeInitialization(Object bean,
                                                        String beanName)
                                                 throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

Copyright © 2019 The Holon Platform. All rights reserved.